#ifdef VHDL
/*
 * $Id: Morpheo_vhdl.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "TopLevel/include/Morpheo.h"
#include "Behavioural/include/Vhdl.h"

namespace morpheo {

  using namespace behavioural;

#undef  FUNCTION
#define FUNCTION "Morpheo::vhdl"
  void Morpheo::vhdl (void)
  {
    log_begin(Morpheo,FUNCTION);

    Vhdl * vhdl = new Vhdl (_name);

    _interfaces->set_port(vhdl);
    _component->vhdl_instance(vhdl);

    vhdl->generate_file();

    delete vhdl;

    log_end(Morpheo,FUNCTION);
  };

}; // end namespace morpheo
#endif
